BITS 32

global getKeyboardNextCode
global getKeyboardNextChar
global getKeyboardLastCode
global getKeyboardLastChar
global getKeyboardFocus

global getDirectoryContents
global runFiles
global runFile

global scr_print
global malloc
global free

extern drawStringRGB
%define IDLE_PID 0

;int print(uint x, uint y, int color, char* str);
scr_print:
	push ebp
	mov ebp, esp
	
	push dword [ebp + 12]	;y
	push dword [ebp + 8]	;x
	push dword [ebp + 16]	;color
	push dword [ebp + 20]	;str
	call drawStringRGB
	add esp, 16
	
	pop ebp
	ret

;void *malloc(unsigned int size)
extern mmu_malloc
malloc:
	push dword [esp + 4]
	push dword IDLE_PID
	call mmu_malloc
	add esp, 8
	ret
	
;void free(void* address)
extern mmu_free
free:
	push dword [esp + 4]
	push dword IDLE_PID
	call mmu_free
	add esp, 8
	ret


; *****************************************************************************
; FUNCIONES DE LA INTERFAZ DE TECLADO
; -----------------------------------------------------------------------------
extern s_getKeyboardFocus
getKeyboardFocus:
	jmp s_getKeyboardFocus

extern s_getKeyboardNextCode
getKeyboardNextCode:
	jmp s_getKeyboardNextCode

extern s_getKeyboardNextChar
getKeyboardNextChar:
	jmp s_getKeyboardNextChar

extern s_getKeyboardLastCode
getKeyboardLastCode:
	jmp s_getKeyboardLastCode

extern s_getKeyboardLastChar
getKeyboardLastChar:
	jmp s_getKeyboardLastChar

; *****************************************************************************
; FUNCIONES DE LA INTERFAZ DEL FILE SYSTEM
; -----------------------------------------------------------------------------

extern get_directory_contents
getDirectoryContents:
	jmp get_directory_contents

extern run_files_as_program
runFiles:
	jmp run_files_as_program

extern run_file_as_program
runFile:
	jmp run_file_as_program

; -----------------------------------------------------------------------------
; *****************************************************************************