BITS 32
%include "macros/graphics.mac"

global getKeyboardNextCode
global getKeyboardNextChar
global getKeyboardLastCode
global getKeyboardLastChar
global getKeyboardFocus

global getDirectoryContents
global runFiles
global runFile

global scr_print
global malloc
global free

scr_print:
	push ebp
	mov ebp, esp
	
	DRAW_STRING [ebp + 20], [ebp + 8], [ebp + 12], [ebp + 16], 1
	
	pop ebp
	ret
	
;void* malloc(unsigned int size);
malloc:
	push ebx
	xor ebx, ebx
	mov eax, [esp + 8]
	int 70
	pop ebx
	ret
	
;void free(void *address);
free:
	push ebx
	mov ebx, 1
	mov eax, [esp + 8]
	int 70
	pop ebx
	ret


; *****************************************************************************
; FUNCIONES DE LA INTERFAZ DE TECLADO
; -----------------------------------------------------------------------------

getKeyboardFocus:
	push ebx
	mov ebx, 0
	int 71
	pop ebx
	ret

getKeyboardNextCode:
	push ebx
	mov ebx, 1
	int 71
	pop ebx
	ret

getKeyboardNextChar:
	push ebx
	mov ebx, 2
	int 71
	pop ebx
	ret

getKeyboardLastCode:
	push ebx
	mov ebx, 3
	int 71
	pop ebx
	ret

getKeyboardLastChar:
	push ebx
	mov ebx, 4
	int 71
	pop ebx
	ret

; *****************************************************************************
; FUNCIONES DE LA INTERFAZ DEL FILE SYSTEM
; -----------------------------------------------------------------------------

getDirectoryContents:
	push ebx
	push ecx
	mov ebx, [esp + 12]
	mov ecx, [esp + 16]

	mov eax, 0
	int 72

	pop ecx
	pop ebx
	ret

runFile:
	push ebx
	mov ebx, [esp + 8]

	mov eax, 1
	int 72

	;xchg bx,bx
	;xchg bx,bx
	;xchg bx,bx
	pop ebx
	ret

runFiles:
	push ebx
	push ecx
	mov ebx, [esp + 12]
	mov ecx, [esp + 16]

	mov eax, 2
	int 72

	pop ecx
	pop ebx
	ret

; -----------------------------------------------------------------------------
; *****************************************************************************