#ifndef HDD_DRIVER_H
#define HDD_DRIVER_H

#include "../common/utils.h"
#include "../common/types.h"

#define IDE_PORT_BASE 			0x1F0
#define IDE_PORT_DATA 			0x1F0
#define IDE_PORT_ERROR 			0x1F1
#define IDE_PORT_SECTORCOUNT 	0x1F2
#define IDE_PORT_LBA_L 			0x1F3
#define IDE_PORT_LBA_M	 		0x1F4
#define IDE_PORT_LBA_H	 		0x1F5
#define IDE_PORT_DRIVE			0x1F6
#define IDE_PORT_STATUS	 		0x1F7
#define IDE_PORT_COMMAND 		0x1F7

#define IDE_STATUS_ERR			0x01
#define IDE_STATUS_DRQ			0x08
#define IDE_STATUS_DF			0x20
#define IDE_STATUS_RDY			0x40
#define IDE_STATUS_BUSY			0x80

uchar check_hdd();
uchar read_hdd(char* buffer, uint lba, uchar sectors);

#endif