global entry
extern dbg
extern start

%define SCR_WID 1024
%define SCR_HEI 11
%define RECT_WID 10
%define RECT_HEI 10
%define INI_COL 0x10
%define END_COL 0xFF
%define OFFX 0
%define OFFY 0
entry:
	call start
	
	;Para que no crashee por si tira una excepcion
	sub esp, 32
	
	;Esquina inferior derecha (-5px)
	mov ebx, 0xA0000 + (SCR_HEI - OFFY) * (SCR_WID) - OFFX - 1
	
	;xchg bx, bx
	
	;Borde inferior
	mov eax, pos_table
	mov edx, 1
	mov ecx, RECT_WID
	.bot_border:
		mov [eax], ebx
		sub ebx, edx
		add eax, 4
	loop .bot_border
	
	;Borde izquierdo
	mov edx, SCR_WID
	mov ecx, RECT_HEI
	.left_border:
		mov [eax], ebx
		sub ebx, edx
		add eax, 4
	loop .left_border
	
	;Borde superior
	mov edx, 1
	mov ecx, RECT_WID
	.top_border:
		mov [eax], ebx
		add ebx, edx
		add eax, 4
	loop .top_border
	
	;Borde derecho
	mov edx, SCR_WID
	mov ecx, RECT_HEI
	.right_border:
		mov [eax], ebx
		add ebx, edx
		add eax, 4
	loop .right_border
	
	;xchg bx, bx
	mov bx, INI_COL		;Color inicial
	
	
	draw_loop:

	;debugging de algo
	;call dbg

	mov ecx, RECT_WID*2 + RECT_HEI*2
	mov edx, pos_table
	
	.draw_rect:
		mov eax, [edx]
		mov [eax], bl
		add edx, 4
		
		mov eax, 20
		int 68
		;mov eax, 0xFFFFF
		;.draw_rect_wait:
			;dec eax
			;cmp eax, 0
		;ja .draw_rect_wait
		
		inc bx
		cmp bx, END_COL
		ja .color_change
	loop .draw_rect
	jmp draw_loop
	
		.color_change:
		mov bx, INI_COL
	loop .draw_rect
	jmp draw_loop
	
	
	;Dibuja el borde de un rectangulo con colores
	; mov ax, 0x0F41

; begin_loop:
	; mov ebx, 0xA0000
	; ; mov ebx, 0xB8000
; cont_loop:
	; mov ecx, 0x6000
	; .here:
		; ; loop .here

	; mov [ebx], ax
	; add ebx, 2
	; add al, 1
	; ; cmp ebx, 0xB8FA0
	
	; jb cont_loop

	; ; int 4

	; inc al
	; jmp begin_loop

	jmp $

pos_table:
	%rep RECT_WID*2 + RECT_HEI*2	; - 3
		dd 0
	%endrep
